Conversations
Get Conversation Messages
Opens one conversation and returns all its messages, with the most recent message first.
GET
/
api
/
v1
/
conversations
/
{conversation_id}
/
messages
Get Conversation Messages
curl --request GET \
--url https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 90,
"conversation_id": 12,
"contact_id": 1,
"channel_id": 2,
"type": "text",
"status": "read",
"body": "Thanks for reaching out!",
"metadata": null,
"error_message": null,
"error_details": null,
"sent_at": "2026-06-26T10:05:01+00:00",
"delivered_at": "2026-06-26T10:05:03+00:00",
"read_at": "2026-06-26T10:05:10+00:00",
"created_at": "2026-06-26T10:05:00+00:00"
}
],
"links": {
"next": null,
"prev": null
},
"meta": {
"per_page": 25,
"next_cursor": null,
"prev_cursor": null
}
}{
"message": "Missing API token.",
"error_code": "unauthenticated",
"status": 401
}{
"message": "Subscription required or expired.",
"error_code": "subscription_required",
"status": 402
}{
"message": "This token is missing the required scope: contacts:write.",
"error_code": "insufficient_scope",
"status": 403
}{
"message": "Conversation not found.",
"error_code": "not_found",
"status": 404
}{
"message": "API request quota exhausted for this billing period.",
"error_code": "quota_exhausted",
"status": 429
}Get the conversation’s
id from List Conversations.Authorizations
Query Parameters
⌘I
Get Conversation Messages
curl --request GET \
--url https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatflows.io/api/v1/conversations/{conversation_id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 90,
"conversation_id": 12,
"contact_id": 1,
"channel_id": 2,
"type": "text",
"status": "read",
"body": "Thanks for reaching out!",
"metadata": null,
"error_message": null,
"error_details": null,
"sent_at": "2026-06-26T10:05:01+00:00",
"delivered_at": "2026-06-26T10:05:03+00:00",
"read_at": "2026-06-26T10:05:10+00:00",
"created_at": "2026-06-26T10:05:00+00:00"
}
],
"links": {
"next": null,
"prev": null
},
"meta": {
"per_page": 25,
"next_cursor": null,
"prev_cursor": null
}
}{
"message": "Missing API token.",
"error_code": "unauthenticated",
"status": 401
}{
"message": "Subscription required or expired.",
"error_code": "subscription_required",
"status": 402
}{
"message": "This token is missing the required scope: contacts:write.",
"error_code": "insufficient_scope",
"status": 403
}{
"message": "Conversation not found.",
"error_code": "not_found",
"status": 404
}{
"message": "API request quota exhausted for this billing period.",
"error_code": "quota_exhausted",
"status": 429
}
